%define module Catalyst-Plugin-Cache-FastMmap
%define name	perl-%module
%define version	0.8
%define release %mkrel 1

Summary:	Mmap cache for Catalyst applications
Name:		%name
Version:	%version
Release:	%release
License:	Artistic/GPL
Group:		Development/Perl
URL:		http://search.cpan.org/dist/%module/
Source:     http://www.cpan.org/modules/by-module/Catalyst/%{module}-%{version}.tar.gz
BuildRequires:	perl(Catalyst::Runtime)
BuildRequires:	perl(Cache::FastMmap)
BuildRequires:	perl(Class::Data::Inheritable)
BuildRequires:  perl(Module::Build)
BuildRequires:  perl(MRO::Compat)
BuildArch:	noarch
Buildroot:	%{_tmppath}/%{name}-%{version}

%description
This package is part of the Catalyst Cache family. It allows
integration of Cache::FastMmap and Catalyst.

%prep
%setup -q -n %module-%version

%build
%__perl Makefile.PL installdirs=vendor --skipdeps
%make

%check
%make test

%install
rm -rf %{buildroot}
%makeinstall_std

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc Changes README
%perl_vendorlib/Catalyst
%_mandir/*/*



%changelog
* Thu May 21 2009 Guillaume Rousse <guillomovitch@mandriva.org> 0.8-1mdv2010.0
+ Revision: 378164
- new version

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 0.6-4mdv2009.0
+ Revision: 136676
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.6-4mdv2008.0
+ Revision: 85995
- rebuild


* Wed May 03 2006 Scott Karns <scottk@mandriva.org> 0.6-3mdk
- Add BuildRequires perl(Class::Data::Inheritable)

* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 0.6-2mdk
- Add BuildRequires

* Thu Apr 27 2006 Scott Karns <scottk@mandriva.org> 0.6-1mdk
- Initial MDV RPM

